<html>
    <body>

      <h1>Top Secret - Verschlüsseln </h1>

      <textarea id="in" style="width:100%;height:250px;" onkeyup="ausgabe(event)"></textarea>

    <button  onclick="loeschen()"> Löschen</button>


    <div style="opacity:0.7;width:100%;height:auto;background:lightgray;margin-bottom:10px;padding:5px;overflow:auto" id="out1">
    </div>
        

    
    <div style="width:100%;height:auto;background:black;color:white;padding:5px;overflow:auto" id="out2">


    </div>
  
      <script>
      
      function frequency(arr) {
         var result = {};
         for (var pos in arr) {
         var a = arr[pos];
          console.log(a);
           if (!result[a]) {result[a]=0;}
           result[a]++
         }
         
         var keysSorted = Object.keys(result).sort(function(a,b){return result[b]-result[a]})
         var v = {}
         for (var pos in keysSorted) {
         var k = keysSorted[pos];
          v[' '+k]= result[k];
         }
         
         return v;
      }

       function loeschen() {
        document.getElementById("in").value = "";
        document.getElementById("out1").innerHTML = "";
        document.getElementById("out2").innerHTML = "";
        document.getElementById("in").focus()
       }


          function topsecret(buchstabe) {
           
           
           
           switch(buchstabe) {
                       

            case 'A':  return '651';            
              case 'B':  return '550';
              case 'C':  return '447';
              case 'D':  return '344';            
              case 'E':  return '243';
              case 'F':  return '140';
              case 'G':  return '39';
              case 'H':  return '936';
              case 'I':  return '835';
              case 'J':  return '732';
              case 'K':  return '631';
              case 'L':  return '528';
              case 'M':  return '427';
              case 'N':  return '324';
              case 'O':  return '223';
              case 'P':  return '120';
              case 'Q':  return '19';
              case 'R':  return '916';
              case 'S':  return '815';
              case 'T':  return '712';
              case 'U':  return '611';
              case 'V':  return '58';
              case 'W':  return '47';
              case 'X':  return '34';
              case 'Y':  return '23';
              case 'Z':  return '11';
              

              case 'a':  return '651';            
              case 'b':  return '550';
              case 'c':  return '447';
              case 'd':  return '344';            
              case 'e':  return '243';
              case 'f':  return '140';
              case 'g':  return '39';
              case 'h':  return '936';
              case 'i':  return '835';
              case 'j':  return '732';
              case 'k':  return '631';
              case 'l':  return '528';
              case 'm':  return '427';
              case 'n':  return '324';
              case 'o':  return '223';
              case 'p':  return '120';
              case 'q':  return '19';
              case 'r':  return '916';
              case 's':  return '815';
              case 't':  return '712';
              case 'u':  return '611';
              case 'v':  return '58';
              case 'w':  return '47';
              case 'x':  return '34';
              case 'y':  return '23';
              case 'z':  return '11';
              case '1':  return '13';
              case '2':  return '24';
              case '3':  return '37';
              case '4':  return '48';
              case '5':  return '511';
              case '6':  return '612';
              case '7':  return '715';
              case '8':  return '816';
              case '9':  return '919';
              case '0':  return '20';
              case '!':  return '!';
              case '?':  return '?';
              case '-':  return '-';
              case ' ':  return '999';
              case '.':  return '.';
              case ',':  return ',';
        
            
             

           }


         } 
      
        function ausgabe(event) {
         
         var text = document.getElementById("in").value;

         var zerhackt = text.split("");

         var ts  = zerhackt.map(b => topsecret(b));

         var fs = frequency(zerhackt);
         var fs2 = frequency(ts);
         console.log(zerhackt);
         console.log(ts);
         console.log(fs);
         
         document.getElementById("out1").innerHTML = JSON.stringify(fs).replaceAll('"','')+"<br/><br/>"+JSON.stringify(fs2).replaceAll('"','');
         document.getElementById("out2").innerHTML = ts.join(" ");

        }

      </script>


    </body>
</html>